| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::DItemDrag Class Reference

Provides a drag object with additional information for internal drag&drop. More...

Inheritance diagram for Digikam::DItemDrag:

## Public Member Functions
| DItemDrag (const QList< QUrl > &urls, const QList< int > &albumIDs, const QList< qlonglong > &imageIDs)

## Static Public Member Functions
static bool | canDecode (const QMimeData *e)
static bool | decode (const QMimeData *e, QList< QUrl > &urls, QList< int > &albumIDs, QList< qlonglong > &imageIDs)
static QStringList | mimeTypes ()

## Detailed Description

Images can be moved through ItemDrag. It is possible to move them on another application which is supported through QT to e.g. copy the images. digiKam can use the IDs, if ItemDrag is dropped on digikam itself. The urls set via setUrls() are used for external drops (k3b, gimp, ...)